aboutsummaryrefslogtreecommitdiffstats
path: root/deploy.sh
diff options
context:
space:
mode:
authorHarry Huang <huangxiangyu5@huawei.com>2017-03-23 15:52:09 +0800
committerJustin chi <chigang@huawei.com>2017-03-24 13:00:06 +0000
commitfb5c383c7d88f27c5dcea3b4b1920ffd612cae2e (patch)
tree4abc4b2f17a6c3abcf14f3821eb07163f678ee2b /deploy.sh
parented1767869c1e51200b91f5e7608a648d9cd2eadf (diff)
opera adapter fix2
* opera_adapter need sshpass which may cause deploy fail * compass log redirection is the last command which always return 0 and thus cover deploy error 1. add installation of sshpass in prepare.sh 2. echo a string at the end of deploy/launch.sh into log file to judge if deployment is complete 3. fix typing error in util/check_valid.py Change-Id: Ic4bca50b2c316bf46cace45b9b3317ef9452a0ba Signed-off-by: Harry Huang <huangxiangyu5@huawei.com>
Diffstat (limited to 'deploy.sh')
-rwxr-xr-xdeploy.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/deploy.sh b/deploy.sh
index 891eadf9..e29b518f 100755
--- a/deploy.sh
+++ b/deploy.sh
@@ -39,6 +39,12 @@ if [[ -z $DEPLOY_COMPASS && -z $DEPLOY_HOST && -z $REDEPLOY_HOST ]]; then
fi
LOG_DIR=$COMPASS_DIR/work/deploy/log
+export LOG_DIR
+
mkdir -p $LOG_DIR
$COMPASS_DIR/deploy/launch.sh $* 2>&1 | tee $LOG_DIR/compass-deploy.log
+
+if [[ $(tail -1 $LOG_DIR/compass-deploy.log) != 'compass deploy success' ]]; then
+ exit 1
+fi